Altibase.jdbc.driver.spec4

## Class Altibase42CallableStatement

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseStatement
  - - Altibase.jdbc.driver.AltibasePreparedStatement
    - - Altibase.jdbc.driver.AltibaseCallableStatement
      - - Altibase.jdbc.driver.spec4.Altibase42CallableStatement

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

    public class Altibase42CallableStatement
    extends AltibaseCallableStatement
    implements java.sql.CallableStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class Altibase.jdbc.driver.AltibaseStatement

`AltibaseStatement.ExecuteResultManager`

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseCallableStatement

`mLastFetchedColumnIndex`

### Fields inherited from class Altibase.jdbc.driver.AltibasePreparedStatement

`mBatchAdded, mBatchJobCount, mBatchRowHandle, mBindColumns, mContext, mLobUpdator`

### Fields inherited from class Altibase.jdbc.driver.AltibaseStatement

`BYTES_PER_CHAR, DEFAULT_UPDATE_COUNT, EMPTY_BATCH_RESULT, EMPTY_LARGE_BATCH_RESULT, mBatchSetBytesUseLob, mConnection, mCurrentResultIndex, mCurrentResultSet, mEscapeProcessing, mExecuteResultMgr, mExecutionResult, mFetchResult, mFetchSize, mForceClobBind, mIsClosed, mIsDeferred, mMaxFieldSize, mMaxRows, mPrepareResult, mPrepareResultColumns, mQstr, mResultSetList, mResultSetReturned, mReUseResultSet, mStmtCID, mTargetResultSetConcurrency, mTargetResultSetType, mWarning`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`Altibase42CallableStatement(AltibaseConnection aConnection, java.lang.String aSql, int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.Reader` `getCharacterStream(int aParamIndex)`
`java.io.Reader` `getCharacterStream(java.lang.String aParamName)`
`java.io.Reader` `getNCharacterStream(int aParamIndex)`
`java.io.Reader` `getNCharacterStream(java.lang.String aParamName)`
`java.sql.NClob` `getNClob(int aParamIndex)`
`java.sql.NClob` `getNClob(java.lang.String aParamName)`
`java.lang.String` `getNString(int aParamIndex)`
`java.lang.String` `getNString(java.lang.String aParamName)`
`<T> T` `getObject(int aIndex, java.lang.Class<T> aType)`
`<T> T` `getObject(java.lang.String aParamName, java.lang.Class<T> aType)`
`java.sql.RowId` `getRowId(int aParameIndex)`
`java.sql.RowId` `getRowId(java.lang.String aParameName)`
`java.sql.SQLXML` `getSQLXML(int aParamIndex)`
`java.sql.SQLXML` `getSQLXML(java.lang.String aParameterName)`
`void` `registerOutParameter(int aParamIndex, java.sql.SQLType aSqlType)`
`void` `registerOutParameter(int aIndex, java.sql.SQLType aSqlType, int aScale)`
`void` `registerOutParameter(int aIndex, java.sql.SQLType aSqlType, java.lang.String aTypeName)`
`void` `registerOutParameter(java.lang.String aParamName, java.sql.SQLType aSqlType)`
`void` `registerOutParameter(java.lang.String aParamName, java.sql.SQLType aSqlType, int aScale)`
`void` `registerOutParameter(java.lang.String aParamName, java.sql.SQLType aSqlType, java.lang.String aTypeName)`
`void` `setAsciiStream(java.lang.String parameterName, java.io.InputStream aValue)`
`void` `setAsciiStream(java.lang.String aParamName, java.io.InputStream aValue, long aLength)`
`void` `setBinaryStream(java.lang.String aParamName, java.io.InputStream aValue)`
`void` `setBinaryStream(java.lang.String aParamName, java.io.InputStream aValue, long aLength)`
`void` `setBlob(int aParamIndex, java.io.InputStream aInputStream)`
`void` `setBlob(int aParamIndex, java.io.InputStream aInputStream, long aLength)`
`void` `setBlob(java.lang.String aParamName, java.sql.Blob aValue)`
`void` `setBlob(java.lang.String aParamName, java.io.InputStream aInputStream)`
`void` `setBlob(java.lang.String aParamName, java.io.InputStream aInputStream, long aLength)`
`void` `setCharacterStream(java.lang.String aParamName, java.io.Reader aValue)`
`void` `setCharacterStream(java.lang.String aParamName, java.io.Reader aValue, long aLength)`
`void` `setClob(int aParamIndex, java.io.Reader aReader)`
`void` `setClob(int aParamIndex, java.io.Reader aReader, long aLength)`
`void` `setClob(java.lang.String aParamName, java.sql.Clob aValue)`
`void` `setClob(java.lang.String aParamName, java.io.Reader aValue)`
`void` `setClob(java.lang.String aParamName, java.io.Reader aValue, long aLength)`
`void` `setNCharacterStream(int parameterIndex, java.io.Reader value)`
`void` `setNCharacterStream(int aParamIndex, java.io.Reader aValue, long aLength)`
`void` `setNCharacterStream(java.lang.String aParamName, java.io.Reader aValue)`
`void` `setNCharacterStream(java.lang.String aParameterName, java.io.Reader aValue, long aLength)`
`void` `setNClob(int aParamIndex, java.sql.NClob aValue)`
`void` `setNClob(int parameterIndex, java.io.Reader reader)`
`void` `setNClob(int aParamIndex, java.io.Reader aReader, long aLength)`
`void` `setNClob(java.lang.String parameterName, java.sql.NClob value)`
`void` `setNClob(java.lang.String aParamName, java.io.Reader aReader)`
`void` `setNClob(java.lang.String aParamName, java.io.Reader aReader, long aLength)`
`void` `setNString(int aParameterIndex, java.lang.String aValue)`
`void` `setNString(java.lang.String aParamName, java.lang.String aValue)`
`void` `setObject(int aParamIndex, java.lang.Object aValue)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, int aTargetSqlType)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, int aTargetSqlType, int aScale)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, java.sql.SQLType aTargetSqlType)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, java.sql.SQLType aTargetSqlType, int aScaleOrLength)`
`void` `setObject(java.lang.String aParamName, java.lang.Object aValue, java.sql.SQLType aTargetSqlType)`
`void` `setObject(java.lang.String aParamName, java.lang.Object aValue, java.sql.SQLType aTargetSqlType, int aScaleOrLength)`
`void` `setRowId(int parameterIndex, java.sql.RowId x)`
`void` `setRowId(java.lang.String aParamName, java.sql.RowId aRowId)`
`void` `setSQLXML(int parameterIndex, java.sql.SQLXML xmlObject)`
`void` `setSQLXML(java.lang.String aParameterName, java.sql.SQLXML aXmlObject)`

### Methods inherited from class Altibase.jdbc.driver.AltibaseCallableStatement

`getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getClob, getClob, getColumnForOutType, getColumnIndex, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getObject, getObject, getObject, getObject, getOutBoundColumn, getRef, getRef, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getURL, getURL, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCharacterStream, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setURL, wasNull`

### Methods inherited from class Altibase.jdbc.driver.AltibasePreparedStatement

`addBatch, addBatch, addMetaColumnInfo, clearBatch, clearParameters, closeAllPrevResultSet, closeAllResultSet, closeCurrentResultSet, createProtocolContext, execute, execute, execute, execute, execute, executeBatch, executeBatchInternal, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getAtomicBatch, getColumn, getColumn, getColumnForInType, getColumnForInType, getDefaultPrecisionForDeferred, getExecuteResultMgrFirstUpdatedCnt, getLobUpdator, getMetaData, getParameterMetaData, getProtocolContext, getResultSet, getStmtId, incCurrentResultSetIndex, prepare, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setAtomicBatch, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, toString`

### Methods inherited from class Altibase.jdbc.driver.AltibaseStatement

`afterExecution, cancel, checkAutoGeneratedKeys, clearAllResults, clearForGeneratedKeys, clearWarnings, close, closeOnCompletion, createInternalStatement, cursorhasNoData, downgradeFetchSize, executeLargeBatch, executeLargeUpdate, getConnection, getExplainPlan, getFetchDirection, getFetchSize, getGeneratedKeys, getID, getLargeMaxRows, getLargeUpdateCount, getMaxFetchSize, getMaxFieldSize, getMaxRows, getMetaConn, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSql, getUpdateCount, getWarnings, isAsyncPrefetch, isClosed, isCloseOnCompletion, isInternalStatement, isPingSQL, isPoolable, isPrepared, isWrapperFor, makeQstrForGeneratedKeys, pingAndCreateLightweightResultSet, procDowngradeAndGetTargetSql, processExecutionQueryResult, processExecutionResult, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setMetaConnection, setPoolable, setPrepareResult, setQueryTimeout, setSql, toInt, toIntBatchUpdateCounts, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.CallableStatement

`getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getClob, getClob, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getObject, getObject, getObject, getObject, getRef, getRef, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getURL, getURL, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCharacterStream, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setURL, wasNull`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### Altibase42CallableStatement

    public Altibase42CallableStatement(AltibaseConnection aConnection,
                                       java.lang.String aSql,
                                       int aResultSetType,
                                       int aResultSetConcurrency,
                                       int aResultSetHoldability)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### getRowId

    public java.sql.RowId getRowId(int aParameIndex)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId(java.lang.String aParameName)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setRowId

    public void setRowId(java.lang.String aParamName,
                         java.sql.RowId aRowId)
                  throws java.sql.SQLException

Specified by:
  `setRowId` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNString

    public void setNString(java.lang.String aParamName,
                           java.lang.String aValue)
                    throws java.sql.SQLException

Specified by:
  `setNString` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNCharacterStream

    public void setNCharacterStream(java.lang.String aParameterName,
                                    java.io.Reader aValue,
                                    long aLength)
                             throws java.sql.SQLException

Specified by:
  `setNCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(java.lang.String parameterName,
                         java.sql.NClob value)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(java.lang.String aParamName,
                        java.io.Reader aValue,
                        long aLength)
                 throws java.sql.SQLException

Specified by:
  `setClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(java.lang.String aParamName,
                        java.io.InputStream aInputStream,
                        long aLength)
                 throws java.sql.SQLException

Specified by:
  `setBlob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(java.lang.String aParamName,
                         java.io.Reader aReader,
                         long aLength)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(int aParamIndex)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(java.lang.String aParamName)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setSQLXML

    public void setSQLXML(java.lang.String aParameterName,
                          java.sql.SQLXML aXmlObject)
                   throws java.sql.SQLException

Specified by:
  `setSQLXML` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(int aParamIndex)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(java.lang.String aParameterName)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString(int aParamIndex)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString(java.lang.String aParamName)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(int aParamIndex)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(java.lang.String aParamName)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream(int aParamIndex)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String aParamName)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(java.lang.String aParamName,
                        java.sql.Blob aValue)
                 throws java.sql.SQLException

Specified by:
  `setBlob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(java.lang.String aParamName,
                        java.sql.Clob aValue)
                 throws java.sql.SQLException

Specified by:
  `setClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setAsciiStream

    public void setAsciiStream(java.lang.String aParamName,
                               java.io.InputStream aValue,
                               long aLength)
                        throws java.sql.SQLException

Specified by:
  `setAsciiStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public void setBinaryStream(java.lang.String aParamName,
                                java.io.InputStream aValue,
                                long aLength)
                         throws java.sql.SQLException

Specified by:
  `setBinaryStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public void setCharacterStream(java.lang.String aParamName,
                                   java.io.Reader aValue,
                                   long aLength)
                            throws java.sql.SQLException

Specified by:
  `setCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setAsciiStream

    public void setAsciiStream(java.lang.String parameterName,
                               java.io.InputStream aValue)
                        throws java.sql.SQLException

Specified by:
  `setAsciiStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public void setBinaryStream(java.lang.String aParamName,
                                java.io.InputStream aValue)
                         throws java.sql.SQLException

Specified by:
  `setBinaryStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public void setCharacterStream(java.lang.String aParamName,
                                   java.io.Reader aValue)
                            throws java.sql.SQLException

Specified by:
  `setCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNCharacterStream

    public void setNCharacterStream(java.lang.String aParamName,
                                    java.io.Reader aValue)
                             throws java.sql.SQLException

Specified by:
  `setNCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(java.lang.String aParamName,
                        java.io.Reader aValue)
                 throws java.sql.SQLException

Specified by:
  `setClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(java.lang.String aParamName,
                        java.io.InputStream aInputStream)
                 throws java.sql.SQLException

Specified by:
  `setBlob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(java.lang.String aParamName,
                         java.io.Reader aReader)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject(int aIndex,
                           java.lang.Class<T> aType)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject(java.lang.String aParamName,
                           java.lang.Class<T> aType)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setRowId

    public void setRowId(int parameterIndex,
                         java.sql.RowId x)
                  throws java.sql.SQLException

Specified by:
  `setRowId` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNString

    public void setNString(int aParameterIndex,
                           java.lang.String aValue)
                    throws java.sql.SQLException

Specified by:
  `setNString` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int aParamIndex,
                                    java.io.Reader aValue,
                                    long aLength)
                             throws java.sql.SQLException

Specified by:
  `setNCharacterStream` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(int aParamIndex,
                         java.sql.NClob aValue)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(int aParamIndex,
                        java.io.Reader aReader,
                        long aLength)
                 throws java.sql.SQLException

Specified by:
  `setClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(int aParamIndex,
                        java.io.InputStream aInputStream,
                        long aLength)
                 throws java.sql.SQLException

Specified by:
  `setBlob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(int aParamIndex,
                         java.io.Reader aReader,
                         long aLength)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setSQLXML

    public void setSQLXML(int parameterIndex,
                          java.sql.SQLXML xmlObject)
                   throws java.sql.SQLException

Specified by:
  `setSQLXML` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    java.io.Reader value)
                             throws java.sql.SQLException

Specified by:
  `setNCharacterStream` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(int aParamIndex,
                        java.io.Reader aReader)
                 throws java.sql.SQLException

Specified by:
  `setClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(int aParamIndex,
                        java.io.InputStream aInputStream)
                 throws java.sql.SQLException

Specified by:
  `setBlob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                         java.io.Reader reader)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(int aParamIndex,
                                     java.sql.SQLType aSqlType)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(int aIndex,
                                     java.sql.SQLType aSqlType,
                                     int aScale)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(int aIndex,
                                     java.sql.SQLType aSqlType,
                                     java.lang.String aTypeName)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(java.lang.String aParamName,
                                     java.sql.SQLType aSqlType)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(java.lang.String aParamName,
                                     java.sql.SQLType aSqlType,
                                     int aScale)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(java.lang.String aParamName,
                                     java.sql.SQLType aSqlType,
                                     java.lang.String aTypeName)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParamIndex,
                          java.lang.Object aValue)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Overrides:
  `setObject` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          int aTargetSqlType)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Overrides:
  `setObject` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          int aTargetSqlType,
                          int aScale)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Overrides:
  `setObject` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          java.sql.SQLType aTargetSqlType)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          java.sql.SQLType aTargetSqlType,
                          int aScaleOrLength)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(java.lang.String aParamName,
                          java.lang.Object aValue,
                          java.sql.SQLType aTargetSqlType)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(java.lang.String aParamName,
                          java.lang.Object aValue,
                          java.sql.SQLType aTargetSqlType,
                          int aScaleOrLength)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`